#!/usr/bin/env ruby

require 'Qt'

app = TQt::Application.new(ARGV)
widget = TQt::Widget.new
widget.setGeometry(50, 500, 400, 400)
widget.caption = "Hello World!"

app.mainWidget = widget
widget.show
app.exec
